/*
 * StandardPizza.hpp
 *
 *  Created on: 3 нояб. 2021 г.
 *      Author: alexander
 */

#pragma once

#include "Pizza.hpp"
#include "PizzaIngredientFactory.hpp"

class StandardPizza: public Pizza
{
public:
    PizzaIngredientFactory *ingredientFactory;

    StandardPizza(PizzaIngredientFactory *ingredientFactory) : ingredientFactory(ingredientFactory) {}

    void prepare() override
    {
        std::cout << "Preparing " << getName() << std::endl;
    }

    ~StandardPizza()
    {
        delete ingredientFactory;
    }
};
