/*
 * Dough.hpp
 *
 *  Created on: 3 нояб. 2021 г.
 *      Author: alexander
 */

#pragma once

#include <string>

class Dough
{
public:
    virtual std::string toString() const = 0;

    virtual ~Dough() {}
};

class ThinCrustDough: public Dough
{
public:

    std::string toString() const
    {
        return "Thin Crust Dough";
    }
};

class ThickCrustDough: public Dough
{
public:

    std::string toString() const
    {
        return "ThickCrust style extra thick crust dough";
    }
};
